Civil 3D vba question

Discussion in 'AutoCAD' started by Wade, Dec 20, 2004.

  1. Wade

    Wade Guest

    I am trying to write some code that will select an Aeccpoint object and
    place that object in the selection set. Every time I select the point, the
    entire Point Group (of AeccPointGroup) that that point belongs to is
    highlighted. I am using the SSet.SelectOnScreen Method (Dim SSet as
    AcadSelectionSet). Is there a trick to highlighting and adding just that
    point object to the selection set - just like the List command does?

    Thanks in Advance.
     
    Wade, Dec 20, 2004
    #1
  2. Have you tried the ThisDrawing.Utility.GetEntity method?

    Dim e As AcadEntity
    Dim pp(2) As Variant
    ThisDrawing.Utility.GetEntity e, pp, "Pick a point"
    ThisDrawing.Utility.Prompt e.Handle
     
    Allen Johnson, Dec 20, 2004
    #2
  3. Wade

    Jeff Guest

    Sorry, this is a known issue in the current release.
     
    Jeff, Dec 21, 2004
    #3
  4. Wade

    Wade Guest

    Thanks for the reply.
    It looks like Jeff is right. I tried your code below and added the
    following lines:

    e.Highlight
    msgbox e.Handle

    And still the Point Group is highlighted (not the single Point Object) and
    the Handle that is returned is for the whole Point Group that the point
    belongs to, not just the Point.Object.

    I hope Autodesk fixes this issue and allows us code writers to be able to
    drill down these high order objects to get at the individual components of
    the objects like we used to be able to in LDD 2004. Just FYI, I noticed
    that these components cannot be reached via Lisp either - and unfortunately
    if we can't get to them, its going to increase our drawing time by 10
    minutes to 1 hour per sheet (depending on how many points are in the
    drawing).
     
    Wade, Dec 21, 2004
    #4
  5. Hi Wade,

    We have been pushing for this to happen almost from Day 1 as it limits
    functionality in 3D of some of our software.

    It's good to get extra support.

    --


    Laurie Comerford
    CADApps
    www.cadapps.com.au
     
    Laurie Comerford, Dec 23, 2004
    #5
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.